'use strict';

var Hjson = require('hjson');
const fs = require('fs');

// -----------------------------------------------------------------------------------
// UWAGA!
// Od wersji 2.5 wszystkie zmiany konfiguracyjne naley wprowadza w pliku config.json
// -----------------------------------------------------------------------------------
console.log('Prepare to read config.json');
let rawdata = fs.readFileSync('config.json');
const config = Hjson.parse(rawdata.toString('utf8'));
config['buildversion'] = '3.11';
config['schemaversion'] = '3.10';
console.log('Config successfully loaded from file config.json');
console.log('Build version: ' + config['buildversion']);
console.log('Schema version: ' + config['schemaversion']);

module.exports = config;
